Bug 1027379 - [abrt] system-config-language-1.3.6-1.fc19: gettext.py:368:lgettext:UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-5: ordinal not in range(128)
[abrt] system-config-language-1.3.6-1.fc19: gettext.py:368:lgettext:UnicodeEn...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:21027d41e52d36bd3c6de417c2f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 12:08 EST by Max
Modified: 2013-11-20 12:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 12:07:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.35 KB, text/plain)
2013-11-06 12:08 EST, Max
no flags Details
File: environ (396 bytes, text/plain)
2013-11-06 12:08 EST, Max
no flags Details

  None (edit)
Description Max 2013-11-06 12:08:41 EST
Version-Release number of selected component:
system-config-language-1.3.6-1.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /usr/share/system-config-language/system-config-language.py
dso_list:       python-libs-2.7.5-8.fc19.x86_64
executable:     /usr/share/system-config-language/system-config-language.py
kernel:         3.11.6-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
gettext.py:368:lgettext:UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-5: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/share/system-config-language/system-config-language.py", line 68, in <module>
    print _("Starting graphical mode failed.  Starting text mode instead.")
  File "/usr/share/system-config-language/system-config-language.py", line 29, in <lambda>
    _ = lambda x: gettext.ldgettext("system-config-language", x)
  File "/usr/lib64/python2.7/gettext.py", line 543, in ldgettext
    return t.lgettext(message)
  File "/usr/lib64/python2.7/gettext.py", line 368, in lgettext
    return tmsg.encode(locale.getpreferredencoding())
UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-5: ordinal not in range(128)

Local variables in innermost frame:
message: 'Starting graphical mode failed.  Starting text mode instead.'
tmsg: u'\u041e\u0448\u0438\u0431\u043a\u0430 \u043f\u0440\u0438 \u0437\u0430\u043f\u0443\u0441\u043a\u0435 \u0433\u0440\u0430\u0444\u0438\u0447\u0435\u0441\u043a\u043e\u0433\u043e \u0440\u0435\u0436\u0438\u043c\u0430. \u0417\u0430\u043f\u0443\u0441\u043a\u0430\u0435\u0442\u0441\u044f \u0442\u0435\u043a\u0441\u0442\u043e\u0432\u044b\u0439 \u0440\u0435\u0436\u0438\u043c.'
self: <gettext.GNUTranslations instance at 0x32665f0>
missing: <object object at 0x7f1617eea3b0>
Comment 1 Max 2013-11-06 12:08:49 EST
Created attachment 820584 [details]
File: backtrace
Comment 2 Max 2013-11-06 12:08:52 EST
Created attachment 820585 [details]
File: environ
Comment 3 Parag Nemade 2013-11-07 23:30:24 EST
Provide the steps that caused this error.
Comment 4 Parag Nemade 2013-11-20 12:07:47 EST
closing this as no sufficient information provided.

Note You need to log in before you can comment on or make changes to this bug.